<?php
/*
VYBEREME VSTUP
*/
// textearea 'text'
if ($article["text"]!="") { $data=$article["text"]; }
// textearea 'left_column'
if ($column=="left") { $data=$_POST["left_column"]; }
// textearea 'right_column'
if ($column=="right") { $data=$_POST["right_column"]; }
/*
FORMÁTOVÁNÍ
*/
// nahrazení tagů + popisky
$tags_edit=array("<span style=\"text-decoration: underline;\">"=>"<underline>", "<!-- /underline --></span>"=>"</underline>", "<p class=\"a-left\">"=>"<p><left>", "<p class=\"a-center\">"=>"<p><center>", "<p class=\"a-right\">"=>"<p><right>", "<img src=\""=>"<img>", "<a href=\""=>"<link>", "</a>"=>"</link>");
$data=strtr($data, $tags_edit);
// odstavce
$perex=str_replace("<br />", "\r\n", $article["perex"]);
$perex=stripslashes($perex);
$data=str_replace("<br />", "\r\n", $data);
$data=str_replace("</p>\n\n<p>", "\r\n\r\n", $data);
$data=str_replace("<p>", "", $data);
$data=str_replace("</p>", "", $data);
// úprava závorek
$tags_starting_ending=array("<"=>"[.", ">"=>".]", "\">"=>"[.]", "\" />"=>"[./]", "\" alt=\""=>"[.alt]");
$data=strtr($data, $tags_starting_ending);
/*
VYBEREME VÝSTUP
*/
// textearea 'text'
if ($article["text"]!="") { $text=stripslashes($data); }
// textearea 'left_column'
if ($column=="left") { $left_column=stripslashes($data); }
// textearea 'right_column'
if ($column=="right") { $right_column=stripslashes($data); }
?>